Anonymous Login
2018-06-25 09:47 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001944OpenClonkEngine - Controlspublic2017-12-28 19:50
Reporterfire 
Assigned ToLuchs 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version 
Target Version8.0Fixed in Version8.0 
Summary0001944: Controls - Backspace and Escape are saved as $0 on exit
DescriptionWhen you use Backspace or Escape as controls, they function normally for the duration of the session. However, upon exiting and relaunching the game, they're replaced with "$0".
Steps To Reproduce1. Open the game
2. Go to the Controls menu
3. Set any action to the backspace or escape keys
4. Exit the game
5. Open the game
6. Go to the Controls menu
- Note the action you previously set to backspace or Escape now says $0
Additional InformationI use an ergonomic keyboard ( a kinesis advantage 2 ) in order to mitigate the effects of repetitive stress injuries. The downside is that most standard control schemes make use of space, which is under the right thumb on this keyboard. Backspace is under the left thumb, so the typical solution is to rebind anything that uses space to use backspace instead.
Tags$0, $0 keyboard settings
Attached Files

-Relationships
+Relationships

-Notes

~0005784

Zapper (developer)

Reminder sent to: Sven2

Thanks for reporting!

Sven, any idea? Likely the saving?

~0005785

Luchs (administrator)

I can reproduce this. The assignment is saved as 'Key=$e' in the configuration which is shown as '\x0' here in the configuration menu (Linux). There's also a log entry "WARNING: Control Interact of set WASD_Hotkeys_IntQueue_MouseCon_ contains undefined key "$e"."

~0005986

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/df979bb5370f34dde2075ea156fde0b4718bf701

Changeset df979bb by Lukas Werling <lukas.werling@gmail.com>
Fix restoring single-digit scancodes (0001944)

Most scancodes are two hex digits long, e.g. "$24" (J). However, there
are also a couple keys like Backspace ("$e") and Escape ("$1") with a
single-digit scancode. These previously weren't restored correctly.

+Notes

-Issue History
Date Modified Username Field Change
2017-10-01 00:33 fire New Issue
2017-10-01 00:33 fire File Added: openclonk-7-dollarsign-0-controls-backspace-escape.jpg
2017-10-01 00:33 fire Tag Attached: $0
2017-10-01 00:33 fire Tag Attached: $0 keyboard settings
2017-10-02 07:05 Zapper Note Added: 0005784
2017-10-05 20:58 Luchs Note Added: 0005785
2017-10-05 20:58 Luchs Status new => confirmed
2017-10-05 20:58 Luchs Target Version => 8.0
2017-12-28 19:50 occ Note Added: 0005986
2017-12-28 19:50 Luchs Assigned To => Luchs
2017-12-28 19:50 Luchs Status confirmed => resolved
2017-12-28 19:50 Luchs Resolution open => fixed
2017-12-28 19:50 Luchs Fixed in Version => 8.0
+Issue History